Perry Weather API

/Forecast/Hourly/{locationId}

get
https://customer.api.perryweather.com/v1/Forecast/Hourly/{locationId}

Query Parameters

hoursinteger(int32)

The number of hours to forecast, from 1 to 63. Defaults to 36.

Default:36

Path Parameters

locationIdstring(uuid)required

The location identifier.

Headers

x-api-keystringrequired

API key for authenticating requests. Create and manage keys in the Perry Weather dashboard under Integrations > Perry Weather APIs.

Example:YOUR-API-KEY

Response

Success

HourlyForecastModel

* Additional properties are NOT allowed.
forecastTimestring | null(date-time)
dayLightboolean
ambientTemperatureobject
* Additional properties are NOT allowed.
Show Child Parameters
feelsLikeobject
* Additional properties are NOT allowed.
Show Child Parameters
wbgtobject
* Additional properties are NOT allowed.
Show Child Parameters
humidityobject
* Additional properties are NOT allowed.
Show Child Parameters
dewPointobject
* Additional properties are NOT allowed.
Show Child Parameters
windSpeedobject
* Additional properties are NOT allowed.
Show Child Parameters
windDirectionstring | null
windGustobject
* Additional properties are NOT allowed.
Show Child Parameters
windGustDirectionstring | null
precipitationobject
* Additional properties are NOT allowed.
Show Child Parameters
precipitationChanceobject
* Additional properties are NOT allowed.
Show Child Parameters
snowAccumulationobject
* Additional properties are NOT allowed.
Show Child Parameters
get/Forecast/Hourly/{locationId}